WPS8TextInternal::Token Struct Reference

Internal: class to store a field definition (TOKN). More...

## Public Member Functions
| Token ()
| constructor

## Public Attributes
WPSField::Type | m_type
| the field type
int | m_textLength
| the length of the text corresponding to the token
int | m_unknown
| an unknown value
librevenge::RVNGString | m_text
| the field value
std::string | m_error
| a string used to store the parsing errors

## Friends
std::ostream & | operator<< (std::ostream &o, Token const &tok)
| operator <<

## Detailed Description

Internal: class to store a field definition (TOKN).

## Constructor & Destructor Documentation

## ◆ Token()

WPS8TextInternal::Token::Token | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Token const & | tok )
| friend

operator <<

## Member Data Documentation

## ◆ m_error

std::string WPS8TextInternal::Token::m_error

a string used to store the parsing errors

Referenced by operator<<, Token(), and WPS8Text::tokenEndDataParser().

## ◆ m_text

librevenge::RVNGString WPS8TextInternal::Token::m_text

the field value

Referenced by operator<<, and Token().

## ◆ m_textLength

int WPS8TextInternal::Token::m_textLength

the length of the text corresponding to the token

Referenced by operator<<, Token(), and WPS8Text::tokenEndDataParser().

## ◆ m_type

WPSField::Type WPS8TextInternal::Token::m_type

the field type

Referenced by operator<<, Token(), and WPS8Text::tokenEndDataParser().

## ◆ m_unknown

int WPS8TextInternal::Token::m_unknown

an unknown value

Referenced by operator<<, Token(), and WPS8Text::tokenEndDataParser().

The documentation for this struct was generated from the following file:

- WPS8Text.cpp